== Title ==

MR Image Intensity Bias Field Correction

== Description ==

This program corrects intensity inhomogeneity artifacts in MR images using a bias field estimated via entropy minimization.

== Syntax ==

: <tt>[options] InputImage OutputImage </tt>

where

; <tt>InputImage</tt> : Input image path

; <tt>OutputImage</tt> : Output image path

== List of Supported Options ==

=== Global Toolkit Options (these are shared by all CMTK tools) ===

; <tt>--help</tt> : Write list of basic command line options to standard output.

; <tt>--help-all</tt> : Write complete list of basic and advanced command line options to standard output.

; <tt>--wiki</tt> : Write list of command line options to standard output in MediaWiki markup.

; <tt>--man</tt> : Write man page source in 'nroff' markup to standard output.

; <tt>--xml</tt> : Write command line syntax specification in XML markup (for Slicer integration).

; <tt>--version</tt> : Write toolkit version to standard output.

; <tt>--echo</tt> : Write the current command line to standard output.

; <tt>--verbose-level</tt> <tt><integer></tt> : Set verbosity level.

; <tt>--verbose</tt>, <tt>-v</tt> : Increment verbosity level by 1 (deprecated; supported for backward compatibility).

; <tt>--threads</tt> <tt><integer></tt> : Set maximum number of parallel threads (for POSIX threads and OpenMP).

=== Bias Field Parameterization ===

; <tt>--degree-add</tt> <tt><integer></tt>, <tt>-A</tt> <tt><integer></tt> : Polynomial degree for additive correction. '''[Default: 0]'''

; <tt>--degree-mul</tt> <tt><integer></tt>, <tt>-M</tt> <tt><integer></tt> : Polynomial degree for multiplicative correction. '''[Default: 2]'''

; <tt>--incremental</tt>, <tt>-I</tt> : Incrementally increase polynomial degrees.

=== Input Image Preprocessing ===

; <tt>--set-padding-value</tt> <tt><double></tt> : Set padding value for input intensity image. Pixels with this value will be ignored. '''[Default: disabled]'''

; <tt>--mask</tt> <tt><labelmap-path></tt>, <tt>-m</tt> <tt><labelmap-path></tt> : Binary mask image filename. '''[Default: NONE]'''

; <tt>--thresh-min</tt> <tt><float></tt>, <tt>-t</tt> <tt><float></tt> : Minimum intensity threshold for image foreground. '''[Default: disabled]'''

; <tt>--thresh-max</tt> <tt><float></tt>, <tt>-T</tt> <tt><float></tt> : Minimum intensity threshold for image foreground. '''[Default: disabled]'''

; <tt>--thresh-auto</tt> : Automatic minimum intensity threshold selection for image foreground using an estimate of image noise level.

; <tt>--thresh-otsu-nbins</tt> <tt><integer></tt> : If this is a positive integer, use automatic minimum intensity threshold selection for image foreground by Otsu thresholding with given number of histogram bins. '''[Default: 0]'''

=== Entropy Estimation Settings ===

; <tt>--log-intensities</tt>, <tt>-L</tt> : Use log intensities for entropy estimation.

; <tt>--sampling-density</tt> <tt><float></tt>, <tt>-s</tt> <tt><float></tt> : Image sampling density to use only subset of image pixels '''[Default: disabled]'''

; <tt>--num-bins</tt> <tt><integer></tt>, <tt>-n</tt> <tt><integer></tt> : Number of histogram bins for entropy estimation '''[Default: 256]'''

=== Optimization Algorithm Settings ===

; <tt>--step-max</tt> <tt><double></tt> : Maximum (initial) search step size. '''[Default: 1]'''

; <tt>--step-min</tt> <tt><double></tt> : Minimum (final) search step size. '''[Default: 0.1]'''

=== Input and Output Options ===

; <tt>--import-bias-add</tt> <tt><image-path></tt> : Import additive bias field (disables optimization). '''[Default: NONE]'''

; <tt>--import-bias-mul</tt> <tt><image-path></tt> : Import multiplicative bias field (disables optimization). '''[Default: NONE]'''

; <tt>--write-bias-add</tt> <tt><image-path></tt> : File name for output of additive bias field. '''[Default: NONE]'''

; <tt>--write-bias-mul</tt> <tt><image-path></tt> : File name for output of multiplicative bias field. '''[Default: NONE]'''

; <tt>--write-float</tt>, <tt>-F</tt> : Write output image with floating point pixel data. If this is not given, the input data type is used.

=== Image/Transformation Database ===

; <tt>--db</tt> <tt><string></tt> : Path to image/transformation database that should be updated with the newly created image. '''[Default: NONE]'''


